aboutsummaryrefslogtreecommitdiff
path: root/net
diff options
context:
space:
mode:
Diffstat (limited to 'net')
-rwxr-xr-xnet/amule/aMule.SlackBuild106
-rwxr-xr-xnet/azureus/azureus.SlackBuild96
-rwxr-xr-xnet/dns/avahi/avahi.SlackBuild127
-rwxr-xr-xnet/lirc/lirc.SlackBuild122
-rwxr-xr-xnet/skype/skype.SlackBuild171
-rw-r--r--net/webalizer/slack-desc19
-rwxr-xr-xnet/webalizer/webalizer.SlackBuild207
-rw-r--r--net/webalizer/webalizer_static.slack-desc19
8 files changed, 867 insertions, 0 deletions
diff --git a/net/amule/aMule.SlackBuild b/net/amule/aMule.SlackBuild
new file mode 100755
index 00000000..61b9b642
--- /dev/null
+++ b/net/amule/aMule.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/bash
+#
+# slackbuild script for aMule
+# by rhatto at riseup.net
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="aMule"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=2.1.3}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/amule/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --enable-amulecmd
+make || exit 32
+make DESTDIR=$TMP/package-$PACKAGE install
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+aMule: aMule (A multi-platform eMule-like ed2k client)
+aMule:
+aMule: aMule is short for "all-platform eMule-like file-sharing program",
+aMule: or, in short, "all-platform Mule". It's a port of the well-known
+aMule: eMule P2P client for the eDonkey2000 and Kad file sharing networks,
+aMule: supporting most of eMule's features. Additionally, it provides a
+aMule: small separate Web server and command line interface to connect to
+aMule: a running aMule via the network.
+aMule:
+aMule:
+aMule:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+for file in ABOUT-NLS AUTHORS COPYING Changelog Doxyfile ED2K-Links.HOWTO README; do
+ cp $CWD/docs/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/net/azureus/azureus.SlackBuild b/net/azureus/azureus.SlackBuild
new file mode 100755
index 00000000..67ff7bcd
--- /dev/null
+++ b/net/azureus/azureus.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/bash
+#
+# slackbuild for azureus
+#
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PRGNAM="azureus"
+PACKAGE="$PRGNAM"
+VERSION=${VERSION:=2.5.0.0}
+ARCH=${ARCH:=i486}
+BUILD=${BUILD:=1rha}
+TMP=${TMP:=/tmp}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+PACKAGE_EXT="bz2"
+SRC="Azureus_$VERSION"_"linux-$ARCH.tar.$PACKAGE_EXT"
+URL="http://easynews.dl.sourceforge.net/sourceforge/$PACKAGE/$SRC"
+RTOOL="wget"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+rm -rf $PACKAGE-$VERSION $PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+rm -rf $TMP/package-$PACKAGE
+mkdir -p $TMP/package-$PACKAGE/install
+cd $TMP/package-$PACKAGE
+
+mkdir -p usr/local
+cd usr/local
+
+tar xvf$tarflag $SRC_DIR/$SRC
+cd $TMP/package-$PACKAGE
+
+if [ "$VERSION" == "2.4.0.2" ]; then
+ rm usr/local/azureus/plugins/azplugins/*
+ wget "http://azureus.sourceforge.net/plugins/azplugins_2.0.jar" -O "usr/local/azureus/plugins/azplugins/azplugins_2.0.jar"
+fi
+
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+azureus: azureus (a java BitTorrent client)
+azureus:
+azureus: Azureus implements the BitTorrent protocol using java language
+azureus: and comes bundled with many invaluable features for both beginners
+azureus: and advanced users.
+azureus:
+azureus:
+azureus:
+azureus:
+azureus:
+azureus:
+EOF
+
+makepkg -c y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
diff --git a/net/dns/avahi/avahi.SlackBuild b/net/dns/avahi/avahi.SlackBuild
new file mode 100755
index 00000000..1c973122
--- /dev/null
+++ b/net/dns/avahi/avahi.SlackBuild
@@ -0,0 +1,127 @@
+#!/bin/bash
+#
+# slackbuild script for avahi
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building avahi are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="avahi"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.6.14}
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ export PKG_CONFIG_PATH="$LIBDIR/qt/lib/"
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38
+
+RTOOL="wget"
+PACKAGE_EXT="gz"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://avahi.org/download/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf$tarflag $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff
+fi
+
+./configure --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR --disable-qt4 || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+avahi: avahi (network service discovery system)
+avahi:
+avahi: Avahi is a system which facilitates service discovery on a local
+avahi: network. This means that you can plug your laptop or computer into a
+avahi: network and instantly be able to view other people who you can chat
+avahi: with, find printers to print to or find files being shared. This
+avahi: kind of technology is already found in MacOS X (branded
+avahi: 'Rendezvous', 'Bonjour' and sometimes 'Zeroconf') and is very
+avahi: convenient. Avahi is mainly based on Lennart Poettering's flexmdns
+avahi: mDNS implementation for Linux which has been discontinued in favour
+avahi: of Avahi.
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="API-CHANGES-0.6 AUTHORS COMPAT-LAYERS DBUS-API HACKING INSTALL MALLOC NEWS README TODO"
+
+for file in $DOCS; do
+ cp $CWD/docs/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/net/lirc/lirc.SlackBuild b/net/lirc/lirc.SlackBuild
new file mode 100755
index 00000000..13268723
--- /dev/null
+++ b/net/lirc/lirc.SlackBuild
@@ -0,0 +1,122 @@
+#!/bin/bash
+#
+# slackbuild script for lirc
+# by rafael at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building lirc are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="lirc"
+ARCH=${ARCH:=i486}
+VERSION=${VERSION:=0.8.1pre2}
+BUILD=${BUILD:=1rd}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40
+
+RTOOL="wget"
+PACKAGE_EXT="bz2"
+SRC="$PACKAGE-$VERSION.tar.$PACKAGE_EXT"
+URL="http://lirc.sourceforge.net/software/snapshots/$SRC"
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC" || exit $ERROR_WGET
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+tar xvf $SRC_DIR/$SRC || exit $ERROR_TAR
+cd $PACKAGE-$VERSION
+
+if [ -f "$CWD/$PACKAGE-$VERSION.diff" ]; then
+ patch -p1 < $CWD/$PACKAGE-$VERSION.diff || exit $ERROR_PATCH
+fi
+
+# Warning, building without any driver!!
+./configure --prefix=/usr --with-driver=none --enable-sandbox --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+lirc: lirc
+lirc:
+lirc: LIRC is a package that allows you to decode and send infra-red
+lirc: signals of many (but not all) commonly used remote controls.
+lirc:
+lirc:
+lirc:
+lirc:
+lirc:
+lirc: http://www.lirc.org/
+lirc:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="ANNOUNCE AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ cp $CWD/$file* usr/doc/$PACKAGE-$VERSION/
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/net/skype/skype.SlackBuild b/net/skype/skype.SlackBuild
new file mode 100755
index 00000000..e5550d89
--- /dev/null
+++ b/net/skype/skype.SlackBuild
@@ -0,0 +1,171 @@
+#!/bin/bash
+#
+# slackbuild for kile, by Rudson R. Alves
+# requires: none
+# tested: skype_staticQT-1.3.0.53
+
+CWD=`pwd`
+
+# ---- Inicializa variáveis com o slackbuild ------------
+if [ -e "/root/.slackbuildrc" ]; then
+ source /root/.slackbuildrc
+elif [ -e "/etc/slackbuildrc" ]; then
+ source /etc/slackbuildrc
+fi
+
+# -------- Variáveis de controle de versão --------------
+# Nome da fonte para a qual o slackbuild foi construído e
+# o seu md5sum
+SRC_ORIG="skype_staticQT-1.3.0.53-generic.tar.bz2"
+MD5_ORIG="9ca128f45c73cd76862260bc6b9f196c"
+PACKAGE_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)_staticQT-(.*)-.*\.(.*\..*)$/\1/'`
+VERSION_ORIG=`echo $SRC_ORIG | sed -r 's/(.*)_staticQT-(.*)-.*\.(.*\..*)$/\2/'`
+ EXTENSION=`echo $SRC_ORIG | sed -r 's/(.*)_staticQT-(.*)-.*\.(.*\..*)$/\3/'`
+
+# ------- Códigos de erro para o createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+# --------- Inicializa variáveis de entrada -------------
+PACKAGE=$PACKAGE_ORIG
+ARCH=${ARCH:=i468}
+SRC_DIR=${SRC:=$CWD}
+VERSION=${VERSION:=$VERSION_ORIG}
+SRC=${PACKAGE}_staticQT-$VERSION-generic.$EXTENSION
+BUILD=${BUILD:=1rud}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+PREFIX=${PREFIX:=/opt/kde}
+OPTCONF=${OPTCONF:=""}
+MD5=${MD5:=$MD5_ORIG}
+URL=${URL:="http://www.skype.com/go/getskype-linux-static"}
+
+# ---------------- SlackBuild Help ----------------------
+if [ "$1" = "--help" -o "$1" = "help" ]; then
+ echo -e "\033[01;32m
+Use: var1=\"value 1\" var2=\"value 2\" ... <package>.SlackBuild
+where:
+ ARCH=machine arch (i386, i486, i686, ...)
+ VERSION=package version
+ BUILD=package build version (default 1rud)
+ SRC=source name of package
+ SRC_DIR=source directory (default $PWD)
+ TMP=temporary directory (default /tmp)
+ REPOS=repository directory
+ PREFIX=prefix from install package
+ OPTCONF=options to pass from ./configure. To configure
+ help, use OPTCONF=\"--help\"
+ MD5=md5sum from package source
+ URL=url from package source
+\033[m"
+ exit $ERROR_HELP
+fi
+
+# ---------------- Download fontes ----------------------
+# Fonte a ser compilada, com o path
+SOURCE=$SRC_DIR/$PACKAGE/$SRC
+# Verifica existência do pacote em $SRC em $SRC_DIR
+if [ ! -e $SOURCE ]; then
+ echo -e "\n\n\033[01;32m Download $SRC \n\033[m"
+ wget "$URL" -P "$SRC_DIR/$PACKAGE/"
+ # Verifica se o
+ if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m No such source file in $URL\n\033[m"
+ exit $ERROR_WGET
+ fi
+fi
+
+# ------------------ Checa md5sum -----------------------
+if [ "$SRC_ORIG" = "$SRC" -o "$MD5" != "$MD5_ORIG" -a "$MD5" != "no" ]; then
+ SUM=`md5sum $SOURCE | awk '{print $1}'`
+ if [ "$SUM" != "$MD5" ]; then
+ echo -e "\n\n\033[01;31m MD5SUM error: run Slackbuild again \n\033[m"
+ echo -e "\033[01;31m Remove $PACKAGE from $SRC_DIR and start Slackbuild again or use MD5=\"no\" \n\033[m"
+ exit $ERROR_MD5
+ fi
+ echo -e "\n\n\033[01;32m Md5sum Ok \n\033[m"
+fi
+
+# -------------- Desempacota fontes ---------------------
+# Desempacota fontes em PKG_SRC=$TMP/$PACKAGE-source
+PKG=$TMP/$PACKAGE
+rm -rf $PKG 2>/dev/null
+mkdir -p $PKG/opt
+# Desempacota $SOURCE em $TMP/$PACKAGE-source
+tar xvf $SOURCE -C $PKG/opt
+if [ $? -ne 0 ]; then
+ echo -e "\n\n\033[01;31m $SOURCE file error \n\033[m"
+ exit $ERROR_TAR
+fi
+
+mkdir -p $PKG/usr/share/applications/
+cd $PKG/opt/
+SKYPE_NAME=$( ls )
+SKYPE_DIR=$PKG/opt/$SKYPE_NAME
+
+# Cria entrada em menu
+cp $SKYPE_DIR/skype.desktop $PKG/usr/share/applications/
+
+# Cria link para aplicativo
+(
+ mkdir -p $PKG/usr/bin
+ cd $PKG/usr/bin
+ ln -s ../../opt/$SKYPE_NAME/skype skype
+)
+
+# Copiar icones
+mkdir -p $PKG/opt/kde/share/icons/hicolor/16x16/apps
+mkdir -p $PKG/opt/kde/share/icons/hicolor/32x32/apps
+mkdir -p $PKG/opt/kde/share/icons/hicolor/48x48/apps
+cp $SKYPE_DIR/icons/skype_16_32.png $PKG/opt/kde/share/icons/hicolor/16x16/apps/skype.png
+cp $SKYPE_DIR/icons/skype_32_32.png $PKG/opt/kde/share/icons/hicolor/32x32/apps/skype.png
+cp $SKYPE_DIR/icons/skype_48_32.png $PKG/opt/kde/share/icons/hicolor/48x48/apps/skype.png
+
+# ----------------- Stripa código -----------------------
+cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# ---------------- Cria slack-desc ----------------------
+mkdir $PKG/install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |--------handy-ruler------------------------------------------------------|
+skype: Skype 1.3.0.53
+skype:
+skype: Skype is a little piece of software that lets you talk over the
+skype: Internet to anyone, anywhere in the world for free.
+skype:
+skype:
+skype:
+skype:
+skype:
+skype:
+EOF
+
+# ----------------- Documentações -----------------------
+# Criar diretório de documentação
+PKG_DOC=$PKG/usr/doc/$PACKAGE-$VERSION
+mkdir -p $PKG_DOC
+cp $SKYPE_DIR/{LICENSE,README} $PKG_DOC
+
+# --------------- Constroi o pacote ---------------------
+echo -e "\n\n\033[01;32m makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz \n\033[m"
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz
+if [ $? -ne 0 ]; then
+ exit $ERROR_MKPKG
+fi
+
+# ----------- Remove arquivos temporários ---------------
+if [ "$CLEANUP" = "yes" ]; then
+ echo -e "\n\n\033[01;32m Remove files... \n\033[m"
+ rm -rf $PKG $PKG_SRC
+fi
diff --git a/net/webalizer/slack-desc b/net/webalizer/slack-desc
new file mode 100644
index 00000000..35b8962a
--- /dev/null
+++ b/net/webalizer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+webalizer: webalizer (webserver log analysis)
+webalizer:
+webalizer: The Webalizer is a fast, free web server log file analysis program.
+webalizer: It produces highly detailed, easily configurable usage reports in
+webalizer: HTML format, for viewing with a standard web browser.
+webalizer:
+webalizer:
+webalizer:
+webalizer:
+webalizer: webalizer lives at http://www.mrunix.net/webalizer/
+webalizer:
diff --git a/net/webalizer/webalizer.SlackBuild b/net/webalizer/webalizer.SlackBuild
new file mode 100755
index 00000000..ec8d8bed
--- /dev/null
+++ b/net/webalizer/webalizer.SlackBuild
@@ -0,0 +1,207 @@
+#!/bin/bash
+# Copyright (c) 2006 Eric Hameleers <alien@slackware.com>
+# Distributed under the terms of the GNU General Public License, Version 2
+# -----------------------------------------------------------------------------
+#
+# Slackware SlackBuild script
+# ===========================
+# By: Eric Hameleers <alien@slackware.com>
+# For: webalizer
+# URL: http://www.mrunix.net/webalizer/
+# Needs: gd, freetype2
+# Changelog:
+# 2.01.10-1: 15/may/2005 by Eric Hameleers <alien@sox.homeip.net>
+# * Initial build.
+# 2.01.10-2: 15/may/2005 by Eric Hameleers <alien@sox.homeip.net>
+# * Fixed the DNS resolving (detection of db 1.85 compat)
+# 2.01.10-3: 28/apr/2006 by Eric Hameleers <alien@slackware.com>
+# * Linked against gd-nox to avoid dependency on x11 (still
+# needs freetype2 though!)
+# 2.01.10-4: 28/apr/2006 by Eric Hameleers <alien@slackware.com>
+# * Added a "STATIC" variable to the script, so you can build
+# webalizer without any dependencies at all.
+#
+# small changes by rhatto
+#
+# Run 'sh SlackBuild --cleanup' to build a Slackware package.
+# The package (.tgz) plus descriptive .txt file are created in /tmp .
+# Install using 'installpkg'.
+#
+# -----------------------------------------------------------------------------
+
+# --- INIT ---
+# Set initial variables:
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# change STATIC to anything other than "yes" to enable dynamic build.
+STATIC=${STATIC:-no}
+
+[ "$STATIC" == "yes" ] && \
+ PRGNAM=webalizer_static || \
+ PRGNAM=webalizer
+
+SRCNAM="webalizer"
+SRCVER="2.01-10"
+VERSION=${VERSION:=2.01.10}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:=1rha}
+PACKAGE="$PRGNAM"
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+DOCS="CHANGES COPYING Copyright DNS.README INSTALL README README.FIRST country-codes.txt"
+
+if [ "$ARCH" == "x86_64" ]; then
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+RTOOL="wget"
+PACKAGE_EXT="tgz"
+SRC="$SRCNAM-$SRCVER-src.$PACKAGE_EXT"
+URL="ftp://ftp.mrunix.net/pub/webalizer/$SRC"
+
+if [ "$PACKAGE_EXT" == "bz2" ]; then
+ tarflag="j"
+else
+ tarflag="z"
+fi
+
+SRC_DIR="$SRC_DIR/$PACKAGE"
+mkdir -p $SRC_DIR
+
+if [ "$RTOOL" == "wget" ] && [ ! -f "$SRC_DIR/$SRC" ]; then
+ wget "$URL" -O "$SRC_DIR/$SRC"
+fi
+
+if [ "$ARCH" = "i386" ]; then
+ SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mcpu=i686"
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2"
+fi
+
+TMP="$TMP/$PACKAGE"
+PKG=$TMP/package-$PRGNAM
+rm -rf $TMP
+mkdir -p $PKG
+
+# --- PACKAGE BUILDING ---
+
+echo "++"
+echo "|| $PRGNAM-$VERSION"
+echo "++"
+
+cd $PKG
+
+# Explode the package framework:
+if [ -f $CWD/_$PRGNAM.tar.gz ]; then
+ explodepkg $CWD/_$PRGNAM.tar.gz
+fi
+
+cd $TMP
+
+# --- TARBALL EXTRACTION,PATCH,MODIFY ---
+
+echo "Extracting the program sources for $PRGNAM..."
+tar xvf$tarflag $SRC_DIR/$SRC
+
+mv ${SRCNAM}-${SRCVER} ${PRGNAM}-${SRCVER}
+cd ${PRGNAM}-${SRCVER}
+
+chown -R root.root *
+
+# --- BUILDING ---
+
+echo Building ...
+
+CPPFLAGS="-I/usr/include/db4" \
+CFLAGS="$SLKCFLAGS $CPPFLAGS" \
+./configure --prefix=/usr \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --with-db=/usr/include/db4 \
+ --with-dblib=/lib \
+ --libdir=$LIBDIR \
+ --enable-dns \
+ $([ "$STATIC" == "yes" ] && echo "--enable-static" || echo "") \
+ 2>&1 | tee $TMP/configure-${PRGNAM}.log
+make 2>&1 | tee $TMP/make-${PRGNAM}.log
+
+#
+# Install all the needed stuff to the package dir
+#
+mkdir -p $PKG/etc
+mkdir -p $PKG/usr/bin
+mkdir -p $PKG/usr/man/man1
+
+# Use installwatch if available:
+which installwatch > /dev/null 2>&1
+if [ $? == 0 ]; then
+ installwatch -o $TMP/install-${PRGNAM}.log \
+ make BINDIR=$PKG/usr/bin MANDIR=$PKG/usr/man/man1 ETCDIR=$PKG/etc install
+else
+ make BINDIR=$PKG/usr/bin MANDIR=$PKG/usr/man/man1 ETCDIR=$PKG/etc install \
+ 2>&1 |tee $TMP/install-${PRGNAM}.log
+fi
+
+
+# --- DOCUMENTATION ---
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+# Compress the man page(s)
+find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+
+# Strip binaries
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+# --- OWNERSHIP, RIGHTS ---
+
+chmod -R o-w $PKG
+
+# --- PACKAGE DESCRIPTION ---
+
+mkdir -p $PKG/install
+cat $CWD/$([ "$STATIC" == "yes" ] && echo "$PRGNAM." || echo "")slack-desc > $PKG/install/slack-desc
+
+if [ -f $CWD/doinst.sh ]; then
+ cat $CWD/doinst.sh > $PKG/install/doinst.sh
+else
+ echo '( if [ ! -f "/etc/webalizer.conf" ]; then mv /etc/webalizer.conf.sample /etc/webalizer.conf; fi )' > $PKG/install/doinst.sh
+fi
+
+# --- BUILDING ---
+
+# Build the package:
+cd $PKG
+makepkg --linkadd y --chown n $REPOS/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz \
+ 2>&1 | tee $TMP/makepkg-${PRGNAM}.log
+#(cd $REPOS && md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5)
+#cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $REPOS/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+
+# --- CLEANUP ---
+
+# Clean up the extra stuff:
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/net/webalizer/webalizer_static.slack-desc b/net/webalizer/webalizer_static.slack-desc
new file mode 100644
index 00000000..5cbc29d8
--- /dev/null
+++ b/net/webalizer/webalizer_static.slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+webalizer_static: webalizer (webserver log analysis)
+webalizer_static:
+webalizer_static: The Webalizer is a fast, free web server log file analysis
+webalizer_static: program. It produces highly detailed, easily configurable
+webalizer_static: usage reports in HTML format, for viewing with a standard web
+webalizer_static: browser.
+webalizer_static: This package contains a statically linked binary.
+webalizer_static:
+webalizer_static:
+webalizer_static: webalizer lives at http://www.mrunix.net/webalizer/
+webalizer_static: